Subject: bug#14493: MSYS line ending problem in t/cxx-demo.sh

From: Peter Rosin <[email-masked]>
Date: Wed, 29 May 2013 16:56:28 +0200

On 2013-05-29 16:18, Stefano Lattarini wrote:
> Yeah, let's got for this (with a comment like "zap carriage-return characters,
> for MinGW/MSYS" ;-).  No need to over-complicate stuff.  If in a few days I'll
> still be convinced that it's worth making this conditional to MinGW, I'll do
> that myself.

I'm pushing the below patch.

Cheers,
Peter

>From 625678d54b616bf5c2db6c803f4b0746f70e3e53 Mon Sep 17 00:00:00 2001
From: Peter Rosin <[email-masked]>
Date: Wed, 29 May 2013 16:53:55 +0200
Subject: [PATCH] tests: avoid a spurious failure on MSYS

Fixes automake bug#14493.

* t/cxx-demo.sh: Strip CR characters from the program output.

Signed-off-by: Peter Rosin <[email-masked]>
---
 t/cxx-demo.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/t/cxx-demo.sh b/t/cxx-demo.sh
index f6d568d..f872c43 100644
--- a/t/cxx-demo.sh
+++ b/t/cxx-demo.sh
@@ -165,7 +165,8 @@ END
     Good morning, work.
 END
   for p in play work; do
-    ./$p > got.$p || { cat got.$p; exit 1; }
+    # Strip CR characters catering to MinGW programs on MSYS.
+    ./$p | tr -d '\015' > got.$p || { cat got.$p; exit 1; }
     cat exp.$p
     cat got.$p
     diff exp.$p got.$p
-- 
1.7.9